



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Elasticsearch安装与环境配置</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Elasticsearch安装与环境配置</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-01-30 17:00:44 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>Elasticsearch安装与环境配置</h2>
<ul><li>确保机器上已经安装了jdk７以上版本</li>
<li>下载：官网下载地址：<a href="https://www.elastic.co/downloads/elasticsearch" rel="external nofollow noreferrer">https://www.elastic.co/downloads/elasticsearch</a></li>
<li>将下载后的文件加压到/opt/ela目录下</li>
<li>进入到${Elasticsearch_HOME}/bin目录下，执行./elasticsearch -d脚本,-d表示后台执行</li></ul>
<p>安装成功后，在浏览器访问http://localhost:9200/，返回以下结果：</p>
<pre class="prettyprint linenums"><code>{<br />
  &quot;name&quot; : &quot;Airborne&quot;,<br />
  &quot;cluster_name&quot; : &quot;elasticsearch&quot;,<br />
  &quot;version&quot; : {<br />
    &quot;number&quot; : &quot;2.1.0&quot;,<br />
    &quot;build_hash&quot; : &quot;72cd1f1a3eee09505e036106146dc1949dc5dc87&quot;,<br />
    &quot;build_timestamp&quot; : &quot;2015-11-18T22:40:03Z&quot;,<br />
    &quot;build_snapshot&quot; : false,<br />
    &quot;lucene_version&quot; : &quot;5.3.1&quot;<br />
  },<br />
  &quot;tagline&quot; : &quot;You Know, for Search&quot;<br />
}<br />
</code></pre>
<p>从返回的结果可以看出默认的集群名称为：elasticsearch</p>
<h2>Elasticsearch环境配置</h2>
<p>Elasticsearch的配置文件是${Elasticsearch_HOME}/config/elasticsearch.yml，常用配置的含义如下：</p>
<ul><li>cluster.name：定义集群名称,默认是elasticsearch</li>
<li>node.name：定义节点名称<br /><br />
-node.master：此节点是否为master,master作用就是做协调,协调集群的状态,数据的读取时由集群的各个节点共同完成的,但是数据的修改只能master完成</li>
<li>node.data：此节点是否为子节点,功能就是存储数据,存储索引之类的</li>
<li>index.number_of_replicas：定义数据副本的数量，这里设为1</li>
<li>path.data：数据的存放路径</li>
<li>transport.tcp.port：tcp端口号</li>
<li>http.port：http端口号</li>
<li>discovery.zen.minimum_master_nodes：设置这个集群,有多少个节点有master候选资格,如果集群较大官方建议为2-4个</li>
<li>discovery.zen.ping.timeout：集群中自动发现其他节点的超时时间,如果网络延迟较大,建议设置长一点,防止误判</li>
<li>discovery.zen.ping.unicast.hosts：设置集群中master集群初始化列表,这个数组里的机器将被自动发现加入集群</li></ul>
<p>比如一个master节点的配置如下：</p>
<pre class="prettyprint linenums"><code><br />
cluster.name: test_cluster1    ##cluster名<br />
node.name: &quot;test_node_196&quot;    ##节点名称<br />
node.master: true   ##是否是master节点<br />
node.data: true   ##该节点上是否保存数据<br />
index.number_of_replicas: 1   ##备份的数量，这里设为1<br />
path.data: /opt/esdata    ##该节点上数据存储的path<br />
transport.tcp.port: 9300   ##tcp的端口号<br />
http.port: 9200    ##http的端口号<br />
discovery.zen.minimum_master_nodes: 1<br />
discovery.zen.ping.timeout: 3s    ##节点间自动发现的响应时间<br />
discovery.zen.ping.unicast.hosts: [&quot;localhost&quot;]    ##节点间自动发现，master节点为localhost<br />
</code></pre>
<p>注意：</p>
<ul><li>为了测试，多个node可以在同一台服务器上启动，但通常一个服务器只放一个node</li>
<li>系统启动时，node会使用广播来发现一个现有的cluster，并且试图加入该cluster</li>
<li>配置文件中的冒号后要加空格，否则启动es时会报load配置文件发生错误</li>
<li>当将一个节点的index.number_of_replicas从0变为1时，ES中现有的索引的分片仍然是没有备份的，但修改后新建的索引的分片都有一个备份</li></ul>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/r932k3zq.html">UVA 10816 &plus; HDU 1839  Dijstra &plus; 二分 （待研究）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4yg0eeq.html">零零碎碎写的shell脚本（二）：一键修改网络配置信息脚本</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1vg1k8.html">C&plus;&plus; 常见崩溃问题分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wxx63q.html">C&plus;&plus; 类的成员函数指针 &lpar; function&sol;bind &rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwd5yv38.html">引用 1&period;9&period;1&period;min&period;js dom对象 没有live 绑定事件方法， 引用 1&period;7&period;js 就有live 绑定事件方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdmlel8.html">Delphi调用WINAPI时到底应该是指针还是结构体（注意是Delphi变量本身就是指针）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1gjvx9.html">Scala 编程（一）Scala 编程总览</a>
		</li>
						<li><a href="https://www.batexi.com/a/90mmnpm8.html">SQL Server高可用&mdash;&mdash;日志传送（4-3）&mdash;&mdash;使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgmv078.html">sap中Excel的模版上传和下载</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlj2k369.html">30分钟掌握ES6&sol;ES2015核心内容（上）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkjd7v8.html">Algorithm --&amp;gt&semi; 阶乘和因子</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyl1wj9.html">Linux Android 多点触摸协议 原文出自【比特网】，转载请保留原文链接：http&colon;&sol;&sol;soft&period;chinabyte&period;com&sol;os&sol;71&sol;12306571&period;shtml</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdw5jyz9.html">实验楼----PHP大法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7olx6e8.html">Pandas库中的DataFrame</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1rjgd48.html">hive参数配置及任务优化</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o1g1z5q.html">给有C或C&plus;&plus;基础的Python入门 ：Python Crash Course  5 if语句</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kjvr179.html">&period;net core中的对象池</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j12yze9.html">koa文档参考</a>
		</li>
						<li><a href="https://www.batexi.com/a/95g555mq.html">&lbrack;Spark RDD&lowbar;add&lowbar;2&rsqb; Spark RDD 分区补充内容</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnnk1ngq.html">THINKPHP URL模块大小写导致404问题</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8mjwg228.html">02 Maven 入门使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jm2kpl9.html">从Adobe调查问卷看原型设计工具大战</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdjzmvvq.html">HTML5 history详解</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1v4k4zq.html">chandy-lamport 分布式一致性快照 算法详细介绍</a>
			</li>
						<li><a href="https://www.batexi.com/a/8mjkerp8.html">BZOJ 1014 &lbrack;JSOI2008&rsqb;火星人prefix &lpar;Splay &plus; Hash &plus; 二分&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2k3jrwq.html">b4和tncl&lowbar;extract&lowbar;UNCL&lowbar;new</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4pdjnnq.html">&amp;lt&semi;a href&equals;&OpenCurlyDoubleQuote;&num;&rdquo;&amp;gt&semi;</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4pdjknq.html">浅谈webuploader上传文件</a>
			</li>
						<li><a href="https://www.batexi.com/a/953dpv08.html">Linux下的ICMP反弹后门：PRISM</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2k3mlvq.html">pl&sol;sql 语言设置</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
